# Class Video#setRotatedVideoTransform

Video

- Defined in: video.js

Class Summary
Constructor Attributes | Constructor Name and Description
--- | ---
| Video#setRotatedVideoTransform(successCallback, errorCallback, options) Sets position and size of rotated video.

## Class Detail

Video#setRotatedVideoTransform(successCallback, errorCallback, options)
Sets position and size of rotated video.
Note : This feature is supported after setting of rotated video by setContentRotation.

    // Javascript code
    function setRotatedVideoTransform() {
        var successCb = function (){
        // Do Something
        }

        var failureCb = function(cbObject){
            var errorCode = cbObject.errorCode;
            var errorText = cbObject.errorText;
            console.log ("Error Code [" + errorCode + "]: " + errorText);
        }

        var video = new Video();

        video.setRotatedVideoTransform(successCb, failureCb, {
            //Portrait Standard
            x: 100,
            y: 120,
            width: 900,
            height: 600
        });
    }

Parameters:
{Function} successCallback
  success callback function.
{Function} errorCallback
  failure callback function.
{Object} options

  Property | Type | Description | Required
  --- | --- | --- | ---
  x | String | Postion of x-axis in video | required
  y | String | Postion of y-axis in video | required
  width | String | Width of size in video | required
  height | String | Height of size in video | required

This function is removed since 1.4. Use object-fit properties of CSS instead.

Since:
  1.3
Returns:

  If the method is successfully executed, success callback function is called without a parameter. If an error occurs, failure callback function is called with a failure callback object as a parameter.

See:
  Video.setContentRotation()